import './style.css'
import 'bootstrap';

document.addEventListener("DOMContentLoaded", () => {
    const chkBox = document.getElementById('dark-mode') as HTMLInputElement;
    chkBox?.addEventListener("change", changeTheme);
});

function changeTheme() {
    const htmlElement = document.getElementById('html');
    const chkBox = document.getElementById('dark-mode') as HTMLInputElement;

    if (chkBox && htmlElement) {
        htmlElement.setAttribute("data-bs-theme", chkBox.checked ? "dark" : "light");
        document.getElementById("dark-mode-text")!.innerHTML = chkBox.checked ? "Dark theme enabled 🌕" : "Light theme enabled ☀️";
    }
}



